## xpilot-ng 4.7.3

=== contrib/maps2image/Makefile ===
#
# Makefile for maps2image.
#
# Change the following line to reflect your ANSI C compiler
#
CC	=	gcc -Wall
CFLAGS	=	-O2 -g
OBJS	=	maps2image.o
LIBS	=	-lm
TARGET	=	maps2image

#
# Change the FONT macro to point to whatever font you want
# to use to display the map names below the images.
#
FONT	=	helvR08.bdf

all:		$(FONT) font.h maps2image bdf2c

$(TARGET):	$(OBJS) font.h
	$(CC) $(CFLAGS) -o $(TARGET) $(OBJS) $(LIBS)

font.h:	bdf2c Makefile
	./bdf2c $(FONT) >font.h

bdf2c:	bdf2c.o
	$(CC) $(CFLAGS) -o bdf2c bdf2c.o

install:
	@echo "Sorry, I am too lazy to install.  Do it yourself."

depend:
	makedepend -- $(CFLAGS) -- $(OBJS:%.o=%.c)

shar:
	gzip helvR*.bdf
	shar -c -p README COPYRIGHT Makefile maps2image.c bdf2c.c -B helvR*.gz >maps2image.shar

clean:
	rm -f -- $(TARGET) $(OBJS) font.h bdf2c.o bdf2c core tags TAGS

=== contrib/mapzip/Makefile ===
all: mapzip

clean:
	rm mapzip mapzip.o

mapzip: mapzip.o
	gcc -o mapzip mapzip.o -lz

mapzip.o: mapzip.c
	gcc -g -c mapzip.c

=== debian/changelog ===
xpilot-ng (1:4.7.3-2.3ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/fix-pingtime_str-len.patch:
      + Fix buffer overrun caused by pingtime_str being 1 char
        too short for PING_UNKNOWN magic value. (Closes: #695297)
    - debian/patches/implicit_Move_point.patch:
      + Correct implicit function declaration.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 02 Feb 2018 13:16:42 -0800

xpilot-ng (1:4.7.3-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Change dependency on obsolete transitional package ttf-freefont to
    fonts-freefont-ttf.

 -- Peter Michael Green <plugwash@debian.org>  Thu, 23 Nov 2017 23:42:12 +0000

xpilot-ng (1:4.7.3-2.2ubuntu1) vivid; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/fix-pingtime_str-len.patch:
      + Fix buffer overrun caused by pingtime_str being 1 char
        too short for PING_UNKNOWN magic value. (Closes: #695297)
    - debian/patches/implicit_Move_point.patch:
      + Correct implicit function declaration.

 -- Artur Rona <ari-tczew@ubuntu.com>  Wed, 25 Feb 2015 00:25:01 +0100

xpilot-ng (1:4.7.3-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Run dh-autoreconf to update config.{sub,guess} and
    {libtool,aclocal}.m4. Closes: #728009, #744551

 -- Steve McIntyre <93sam@debian.org>  Fri, 24 Oct 2014 17:59:32 -0700

xpilot-ng (1:4.7.3-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Update dependency on python-wxgtk2.8 to python-wxgtk3.0.
  * Update patch use-wxwidgets2.8.patch to use wxwidgets3.0 by default and
    rename to use-wxwidgets3.0.patch.

 -- Olly Betts <olly@survex.com>  Fri, 08 Aug 2014 17:10:32 +1200

xpilot-ng (1:4.7.3-2ubuntu2) trusty; urgency=low

  * Use autotools-dev helper for newer arches, resolving FTBFS.
  * Correct implicit function declaration.

 -- Daniel T Chen <crimsun@ubuntu.com>  Sat, 15 Mar 2014 20:45:48 -0400

xpilot-ng (1:4.7.3-2ubuntu1) trusty; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/fix-pingtime_str-len.patch: Fix buffer overrun caused by
      pingtime_str being 1 char too short for PING_UNKNOWN magic value.

 -- Logan Rosen <logan@ubuntu.com>  Wed, 13 Nov 2013 20:40:45 -0500

xpilot-ng (1:4.7.3-2) unstable; urgency=low

  * Add pjb@debian.org to Uploaders in control file (discussed with
    maintainer via email).
  * Acknowledge NMUs -1.1 to -1.4 (closes: #580648, #584988, #645511).
    Thank you.
  * Apply patch so that +cannonsPickupItems is no longer ignored
    (closes: #595957).  Add cannons-pickup-items.patch.
  * Fix typo in control file (closes: #697995).
  * xpilot-ng-common now uses python-irc instead of python-irclib
    (closes: #719115).  Add use-python-irc.patch.
  * Bump standards-version to 3.9.4.
  * Use dh_python2 instead of dh_pysupport.
  * Add hardening flags to debian/rules.
  * Change --name to --exec in prerm (closes: #645867).
  * Change source/options to ignore results of autoreconf.
  * Fix debian/xpilot-ng-server.init for runlevels 0 and 6.

 -- Phil Brooke <pjb@debian.org>  Sun, 10 Nov 2013 10:10:57 +0000

xpilot-ng (1:4.7.3-1.4ubuntu1) raring; urgency=low

  * Fix buffer overrun caused by pingtime_str being 1 char too short for
    PING_UNKNOWN magic value (LP: #1033250)

 -- Dr. David Alan Gilbert <dave@treblig.org>  Mon, 03 Dec 2012 00:47:13 +0000

xpilot-ng (1:4.7.3-1.4) unstable; urgency=low

  * Non-maintainer upload.
  * Migrate to use /run instead of /var/run and make sure to create
    /run/xpilot-ng-server and set the correct owner, group and permissions
    before using it, since it won't persist over reboot when /run is a tmpfs.
    (Closes: #645868)

 -- Olly Betts <olly@survex.com>  Fri, 25 Nov 2011 09:42:17 +0000

xpilot-ng (1:4.7.3-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control: Update dependency on python-wxgtk2.6 to python-wxgtk2.8.
  * Add patch use-wxwidgets2.8.patch to use wxwidgets2.8 by default.

 -- Olly Betts <olly@survex.com>  Sun, 16 Oct 2011 11:29:22 +0000

xpilot-ng (1:4.7.3-1.2) unstable; urgency=low

  [ Jari Aalto ]
  * Non-maintainer upload.
  * debian/copyright
    - (1:4.7.3-1.1 entries): Delete bogus Closes line for
      #515489. Delete bogus Build-Depends message.
  * debian/patches
    - Delete directory. Generated by packaging format 3.0 from the build
      process. Contained only auto generated files, not modified by us.
  * debian/source/options
    - New file. Ignore files from patch. This makes debian/patches/ to
      appear clean.

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 02 Jun 2010 21:01:11 +0300

xpilot-ng (1:4.7.3-1.1) unstable; urgency=low

  [ Jari Aalto ]
  * Non-maintainer upload.
    - Move to packaging format "3.0 (quilt)".
  * debian/compat
    - Update to 7.
  * debian/control
    - (Build-Depends): Update to debhelper 7.1.
    - (Depends): Add ${misc:Depends}.
    - (Homepage): Add new field; lift from Description.
    - (Standards-Version): Update to 3.8.4.
  * debian/{postrm,postinst}
    - Fix Lintian maintainer-script-ignores-errors.
  * debian/source/format
    - New file.
  * debian/watch
    - New file (Closes: #549382).
      Thanks to Daniel Leidert <daniel.leidert@wgdd.de>.

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 07 May 2010 03:20:09 +0300

xpilot-ng (1:4.7.3-1) unstable; urgency=low

  * Upstream release.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sun, 07 Mar 2010 18:33:13 -0400

xpilot-ng (1:4.7.3~cvs20091102-1) unstable; urgency=low

  * CVS snapshot, including fix for conflicting getline function in
    textinterface.c. (Closes: #552817)

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Mon, 02 Nov 2009 14:05:17 -0400

xpilot-ng (1:4.7.3~cvs20080224-1) unstable; urgency=low

  * CVS snapshot, preparing for 4.7.3 release.
  * Fix dependencies to make binNMU safe. (Closes: #435967)
  * Moved maps and server configs from -common to -server and dropped -server


=== debian/control ===
Source: xpilot-ng
Section: games
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ben Armstrong <synrg@sanctuary.nslug.ns.ca>
Uploaders: Phil Brooke <pjb@debian.org>
Build-Conflicts: autoconf2.13, automake1.4, x11proto-xf86misc-dev
Build-Depends: autoconf, automake1.11, debhelper (>= 7), libx11-dev, libxext-dev, x11proto-core-dev, zlib1g-dev, libexpat1-dev, libsdl1.2-dev, libsdl-image1.2-dev, libsdl-ttf2.0-dev, libgl1-mesa-dev, libglu1-mesa-dev, libalut-dev, libopenal-dev (>= 1:1.10.622), help2man, python (>= 2.6.6-3~), autotools-dev
Standards-Version: 3.9.4
Homepage: http://xpilot.sf.net

Package: xpilot-ng
Architecture: all
Depends: ${misc:Depends}, xpilot-ng-client-x11 (>= ${source:Version}), xpilot-ng-client-sdl (>= ${source:Version}), xpilot-ng-server (>= ${source:Version}), xpilot-ng-utils (>= ${source:Version})
Description: Multi-player tactical game for X (NG version)
 XPilot is a multi-player tactical manoeuvring game for X.  Each
 player controls their own fighter equipped with a variety of weapons
 and power-ups.  Players compete as teams or as individuals;  the
 object of the game is to score points by blasting the opposition,
 stealing their treasure or by racing round a circuit.
 WARNING: This game is very addictive.
 .
 This package is a complete XPilot installation, including the
 XPilot client, server and utilities.

Package: xpilot-ng-common
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-wxgtk3.0, python-irc, fonts-freefont-ttf, ttf-bitstream-vera
Suggests: xpilot-ng-server, xpilot-ng-utils, xpilot-ng-client-x11, xpilot-ng-client-sdl
Description: Common files for XPilot NG
 XPilot is a multi-player tactical manoeuvring game for X.  Each
 player controls their own fighter equipped with a variety of weapons
 and power-ups.  Players compete as teams or as individuals;  the
 object of the game is to score points by blasting the opposition,
 stealing their treasure or by racing round a circuit.
 WARNING: This game is very addictive.
 .
 This package contains the common files for the server, clients and
 utilities including both data and documentation.

Package: xpilot-ng-client-x11
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, xpilot-ng-common (= ${source:Version})
Description: Client for XPilot NG
 XPilot is a multi-player tactical manoeuvring game for X.  Each
 player controls their own fighter equipped with a variety of weapons
 and power-ups.  Players compete as teams or as individuals;  the
 object of the game is to score points by blasting the opposition,
 stealing their treasure or by racing round a circuit.
 WARNING: This game is very addictive.
 .
 This package contains the classic client needed to play the game.
 Because it is X11-based, it has a very basic, clean look-and-feel,
 and is suitable for use on older, less powerful systems.

Package: xpilot-ng-client-sdl
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, xpilot-ng-common (= ${source:Version})
Description: Client for XPilot NG
 XPilot is a multi-player tactical manoeuvring game for X.  Each
 player controls their own fighter equipped with a variety of weapons
 and power-ups.  Players compete as teams or as individuals;  the
 object of the game is to score points by blasting the opposition,
 stealing their treasure or by racing round a circuit.
 WARNING: This game is very addictive.
 .
 This package contains a modern client with fancier graphics.  It is 
 suitable for use on modern systems with sufficient resources to run SDL 
 and GL.

Package: xpilot-ng-utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, xpilot-ng-common (= ${source:Version})
Description: Utilities for XPilot NG
 XPilot is a multi-player tactical manoeuvring game for X.  Each
 player controls their own fighter equipped with a variety of weapons
 and power-ups.  Players compete as teams or as individuals;  the
 object of the game is to score points by blasting the opposition,
 stealing their treasure or by racing round a circuit.
 WARNING: This game is very addictive.
 .
 This package contains utilities for making XPilot maps and playing
 back recordings of XPilot games.

Package: xpilot-ng-server
Architecture: any
Depends: ${misc:Depends}, adduser (>=3.34), ${shlibs:Depends}
Conflicts: xpilot-ng-common (<< 1:4.7.3~cvs20070805-1)
Replaces: xpilot-ng-common (<< 1:4.7.3~cvs20070805-1)
Description: Server for hosting XPilot NG games
 XPilot is a multi-player tactical manoeuvring game for X.  Each
 player controls their own fighter equipped with a variety of weapons
 and power-ups.  Players compete as teams or as individuals;  the
 object of the game is to score points by blasting the opposition,
 stealing their treasure or by racing round a circuit.
 WARNING: This game is very addictive.
 .
 This package contains the server daemon you need in order to host
 your own game of XPilot.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DH_ALWAYS_EXCLUDE=CVS:.cvsignore

# This has to be exported to make some magic below work.
export DH_OPTIONS

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

package = xpilot-ng

CFLAGS = -Wall -g $(shell dpkg-buildflags --get CFLAGS)
LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status: configure
	dh_testdir
	dh_autotools-dev_updateconfig
	CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --libdir=\$${prefix}/share/games --datadir=\$${prefix}/share/games --bindir=\$${prefix}/games --enable-sound


#Architecture 
build: build-arch build-indep
	dh_testdir

build-arch: build-arch-stamp
build-arch-stamp:  config.status
	dh_testdir

	$(MAKE)
	touch build-arch-stamp

build-indep: build-indep-stamp
build-indep-stamp:  config.status
	dh_testdir

	cd lib/textures; $(MAKE)
	touch build-indep-stamp

clean: config.status
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean
	rm -f *.man
	rm -f config.status config.log
	dh_autotools-dev_restoreconfig
	dh_clean 

install: install-indep install-arch
install-indep:
	dh_testdir
	dh_testroot
	dh_prep -i 
	dh_installdirs -i

	# common
	install -m644 $(CURDIR)/lib/shipshapes.txt $(CURDIR)/debian/$(package)-common/etc/$(package)
	$(MAKE) -C lib/fonts install DESTDIR=$(CURDIR)/debian/$(package)-common libdatadir=/etc/$(package)
	$(MAKE) -C lib/sound install DESTDIR=$(CURDIR)/debian/$(package)-common libdatadir=/etc/$(package)
	$(MAKE) -C lib/textures install DESTDIR=$(CURDIR)/debian/$(package)-common libdatadir=/etc/$(package)
	# We replace these with symlinks and depend on the font packages providing them instead:
	rm -f $(CURDIR)/debian/$(package)-common/usr/share/games/$(package)/fonts/FreeSansBoldOblique.ttf
	rm -f $(CURDIR)/debian/$(package)-common/usr/share/games/$(package)/fonts/VeraMoBd.ttf

	# xpngcc
	cp -rf contrib/xpngcc $(CURDIR)/debian/$(package)-common/usr/share/games/$(package)/
	sed -e's/\/usr\/local\/share/\/usr\/share\/games/' contrib/xpngcc/config.py \
                >$(CURDIR)/debian/$(package)-common/usr/share/games/$(package)/xpngcc/config.py
	rm -f debian/$(package)-common/usr/share/games/$(package)/xpngcc/Makefile*
	rm -f debian/$(package)-common/usr/share/games/$(package)/xpngcc/irclib.py
	install -o 0 -g 0 -m 755 debian/xpngcc \
	  debian/$(package)-common/usr/games

	# menu icon:
	cp -f debian/$(package).xpm \
	  debian/$(package)-common/usr/share/pixmaps/

	dh_install -i

install-arch:
	dh_testdir
	dh_testroot
	dh_prep -s 
	dh_installdirs -s

	# client-x11
	$(MAKE) -C src/client/x11 install-binPROGRAMS DESTDIR=$(CURDIR)/debian/$(package)-client-x11
	
	# client-sdl
	$(MAKE) -C src/client/sdl install-binPROGRAMS DESTDIR=$(CURDIR)/debian/$(package)-client-sdl
	
	# utils
	$(MAKE) -C src/replay install-binPROGRAMS DESTDIR=$(CURDIR)/debian/$(package)-utils
	$(MAKE) -C src/mapedit install-binPROGRAMS DESTDIR=$(CURDIR)/debian/$(package)-utils

	# server
	$(MAKE) -C src/server install DESTDIR=$(CURDIR)/debian/$(package)-server
	$(MAKE) -C lib/maps install DESTDIR=$(CURDIR)/debian/$(package)-server libdatadir=/etc/$(package)
	install -m644 $(CURDIR)/lib/defaults.txt $(CURDIR)/debian/$(package)-server/etc/$(package)
	install -m600 $(CURDIR)/lib/password.txt $(CURDIR)/debian/$(package)-server/etc/$(package)
	install -m644 $(CURDIR)/lib/robots.txt $(CURDIR)/debian/$(package)-server/etc/$(package)
	install -m644 $(CURDIR)/lib/suibots.txt $(CURDIR)/debian/$(package)-server/etc/$(package)

        # A start script called from the init script:
	install -o 0 -g 0 -m 755 debian/start-$(package)-server \
	  debian/$(package)-server/usr/games

	# man pages:
	PATH=$(PATH):src/client/x11:src/client/sdl:src/replay:src/mapedit:src/server sh debian/help2man.sh

	dh_install -s
# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs -N$(package)-client-x11 -N$(package)-client-sdl ChangeLog
	dh_installdocs -N$(package)-client-x11 -N$(package)-client-sdl
	dh_installexamples
	dh_installmenu
	dh_installman
	# Don't modify scripts so we can stop reliably in prerm
	dh_installinit -p $(package)-server --init-script=$(package)-server --noscripts
	dh_python2
	dh_link
	dh_strip
	dh_compress 
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb
# Build architecture independant packages using the common target.
binary-indep: build-indep install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch

=== debian/watch ===
version=3
http://sf.net/xpilot/xpilot-ng-([\d.]+)\.tar\.gz
